 # v.3.1.0 (2020-11-06)

### Add

- `getTransactionData(txId: string): Promise<Tx>`

- `asset` parameter to the `getTransactions` method

### Change

- `getExplorerUrl` is public now

### Fix
 
- Fixed asset parsing for `getBalance` method

# v.3.0.1 (2020-08-26)

- Change type of `amount` to `BigSource` in `normalTx`, `vaultTx`, `freeze`, `unfreeze`

# v.3.0.0 (2020-08-26)

### Breaking changes:
- `Constructor` argument is an object now `{ network: Network; phrase?: string }`
- `getAddress` returns undefined if `phrase` has not been set before
- `getPrivateKey()` throws an error if `phrase` has not been set before
- `setPrivateKey` rejects if a `phase` has not been set before
- `vaultTx`, `normalTx`, `multiSend`, `getMarkets` accept an object as its parameters

### Add:
- `freeze(params: FreezeParams): Promise<TransferResult>`
- `unfreeze(params: FreezeParams): Promise<TransferResult>`
- `getBncClient(): BncClient`

### Fix:
- Fix `Rollup` warnings of `Unresolved dependencies` and `Circular dependencies`

### Update:
- Use latest npm dependencies


# v.2.1.1 (2020-08-14)

- Fix result type of `getFees()`

# v.2.1.0 (2020-08-14)

### Add:

- `getFees()`
- `TxFee`

# v.2.0.0 (2020-07-20)

- BREAKING CHANGE: `getTransactions` expects `GetTxsParams` as its parameter
- Refactored implementation of `getTransactions`
- Use latest `@binance-chain/javascript-sdk@4.0.5"
- Fix `Tx` type

# v.1.0.0 (2020-05-14)

Refactors the client to be constructed with a `net` and optional `phrase`

```
import BinanceClient, { Network } from '../src/client'
...
const net = Network.MAIN
const phrase = process.env.VAULT_PHRASE
const bnbClient = new BinanceClient(net, phrase)
```

### Removal:

- init()
- initClient()
- setPrivateKey()
- removePrivateKey()

### Change:

- getClientUrl(): string -> Class-based
- getExplorerUrl(): string -> Class-based
- getPrefix(): string -> Class-based

### Add:

- setNetwork(net: Network): void
- getNetwork(): Network
- generatePhrase(): string
- setPhrase(phrase?: string): void
- validatePhrase(phrase: string): boolean
- getAddress(): string
- validateAddress(address: string): boolean
- getBalance(address?: Address): Promise<Balance>
- getTransactions(address?: string): Promise<any[]>
- vaultTx(addressTo: Address, amount: number, asset: string, memo: string): Promise<TransferResult>
- normalTx(addressTo: Address, amount: number, asset: string): Promise<TransferResult>

# v.0.1.0 (2020-04-13)

First release
